Bug 968598 - Review Request: nodejs-escodegen - ECMAScript code generator
Summary: Review Request: nodejs-escodegen - ECMAScript code generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 968599 968600
Blocks: nodejs-reviews 968596
TreeView+ depends on / blocked
 
Reported: 2013-05-29 22:43 UTC by Jamie Nguyen
Modified: 2013-07-01 20:58 UTC (History)
4 users (show)

Fixed In Version: nodejs-escodegen-0.0.22-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-18 05:46:28 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-05-29 22:43:20 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-escodegen.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-escodegen-0.0.22-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
ECMAScript code generator.

Comment 1 Miro Hrončok 2013-06-07 10:41:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======

[!]: [MUST] License field in the package spec file matches the actual license.
     I believe, it's BSD, not MIT, according to package.json, LICENSE.BSD and LICENSE.source-map


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
     Note: There is something in Source1/test/3rdparty, but it is not packaged
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     Disabled by default
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
Could not install for not yet resolved dep.


Rpmlint
-------
Checking: nodejs-escodegen-0.0.22-1.fc20.noarch.rpm
nodejs-escodegen.noarch: W: only-non-binary-in-usr-lib
nodejs-escodegen.noarch: W: dangling-symlink /usr/lib/node_modules/escodegen/node_modules/estraverse /usr/lib/node_modules/estraverse
nodejs-escodegen.noarch: W: dangling-symlink /usr/lib/node_modules/escodegen/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-escodegen.noarch: W: no-manual-page-for-binary esgenerate.js
nodejs-escodegen.noarch: W: no-manual-page-for-binary escodegen.js
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Seems OK.


Requires
--------
nodejs-escodegen (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(esprima)
    npm(estraverse)



Provides
--------
nodejs-escodegen:
    nodejs-escodegen
    npm(escodegen)



Source checksums
----------------
http://registry.npmjs.org/escodegen/-/escodegen-0.0.22.tgz :
  CHECKSUM(SHA256) this package     : c4ff427f65df6c0b594cc7253a87a7b60ed36f743490eed42cd40179d1c12aca
  CHECKSUM(SHA256) upstream package : c4ff427f65df6c0b594cc7253a87a7b60ed36f743490eed42cd40179d1c12aca


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-devel-x86_64 -b 968598

$ rpm -qlvp ./nodejs-escodegen-0.0.22-1.fc20.noarch.rpm
lrwxrwxrwx    1 root    root                       48 čen  7 12:23 /usr/bin/escodegen.js -> /usr/lib/node_modules/escodegen/bin/escodegen.js
lrwxrwxrwx    1 root    root                       49 čen  7 12:23 /usr/bin/esgenerate.js -> /usr/lib/node_modules/escodegen/bin/esgenerate.js
drwxr-xr-x    2 root    root                        0 čen  7 12:23 /usr/lib/node_modules/escodegen
drwxr-xr-x    2 root    root                        0 čen  7 12:23 /usr/lib/node_modules/escodegen/bin
-rwxr-xr-x    1 root    root                     1829 led 31 09:01 /usr/lib/node_modules/escodegen/bin/escodegen.js
-rwxr-xr-x    1 root    root                     1829 led 31 09:01 /usr/lib/node_modules/escodegen/bin/esgenerate.js
-rw-r--r--    1 root    root                   108758 dub 24 18:47 /usr/lib/node_modules/escodegen/escodegen.browser.js
-rw-r--r--    1 root    root                    82527 dub 24 10:56 /usr/lib/node_modules/escodegen/escodegen.js
drwxr-xr-x    2 root    root                        0 čen  7 12:23 /usr/lib/node_modules/escodegen/node_modules
lrwxrwxrwx    1 root    root                       29 čen  7 12:23 /usr/lib/node_modules/escodegen/node_modules/esprima -> /usr/lib/node_modules/esprima
lrwxrwxrwx    1 root    root                       32 čen  7 12:23 /usr/lib/node_modules/escodegen/node_modules/estraverse -> /usr/lib/node_modules/estraverse
-rw-r--r--    1 root    root                     1385 čen  7 12:23 /usr/lib/node_modules/escodegen/package.json
drwxr-xr-x    2 root    root                        0 čen  7 12:23 /usr/share/doc/nodejs-escodegen-0.0.22
-rw-r--r--    1 root    root                     1231 led 31 09:01 /usr/share/doc/nodejs-escodegen-0.0.22/LICENSE.BSD
-rw-r--r--    1 root    root                     1525 led 31 09:01 /usr/share/doc/nodejs-escodegen-0.0.22/LICENSE.source-map
-rw-r--r--    1 root    root                     4207 led 31 09:01 /usr/share/doc/nodejs-escodegen-0.0.22/README.md

Comment 2 Jamie Nguyen 2013-06-07 21:16:47 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-escodegen.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-escodegen-0.0.22-2.fc19.src.rpm

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.22-2
- add comment about dependencies for %%check
- fix incorrect License tag

Comment 3 Miro Hrončok 2013-06-07 21:41:34 UTC
Package APPROVED.

BTW if esprima-moz looks like a fork of esprima and both can coexist, I don't think you need FPC approval for that.

Comment 4 Jamie Nguyen 2013-06-07 21:43:56 UTC
> BTW if esprima-moz looks like a fork of esprima and both
> can coexist, I don't think you need FPC approval for that.

Oh, cool! I'll remove that part of the comment and may look into packaging esprima-moz if it looks useful.

Comment 5 Jamie Nguyen 2013-06-07 21:45:02 UTC
New Package SCM Request
=======================
Package Name: nodejs-escodegen
Short Description: ECMAScript code generator
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-06-10 11:54:34 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-06-16 12:51:33 UTC
nodejs-escodegen-0.0.22-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-escodegen-0.0.22-2.fc19

Comment 8 Fedora Update System 2013-06-16 12:54:04 UTC
nodejs-escodegen-0.0.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-escodegen-0.0.22-2.fc18

Comment 9 Fedora Update System 2013-06-16 13:04:39 UTC
nodejs-escodegen-0.0.22-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-escodegen-0.0.22-2.el6

Comment 10 Fedora Update System 2013-06-16 18:37:25 UTC
nodejs-escodegen-0.0.22-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2013-06-27 02:05:26 UTC
nodejs-escodegen-0.0.22-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-06-29 18:44:31 UTC
nodejs-escodegen-0.0.22-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-07-01 20:58:17 UTC
nodejs-escodegen-0.0.22-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.